LDATTACH(8)

NOM
ldattach - Attacher une procédure de contrôle à une ligne série

SYNOPSIS

ldattach [-1278denoVh] [-i iflag] [-s speed] ldisc device

DESCRIPTION

Le démon ldattach ouvre le fichier de périphérique indiqué (qui doit faire référence à un périphérique série) et lui attribue une procédure de contrôle ldisc pour gérer l’envoi et la réception de données. Ensuite, il passe en arrière-plan tout en gardant le périphérique ouvert afin que la procédure de contrôle reste chargée.

La procédure de contrôle ldisc peut être indiquée par nom ou par numéro.

Afin de détacher la procédure de contrôle, tuer (avec kill(1)) le processus ldattach.

Sans paramètre, ldattach affiche un message d’utilisation.

PROCÉDURES DE CONTRÔLE

Selon la version du noyau, les procédures suivantes sont prises en charge :

TTY(0)
    La procédure par défaut fournit un mode d’opération transparent (mode brut) ainsi que les capacités d’édition de ligne habituelles d’une console (mode « cooked »).

SLIP(1)
    Protocole IP sur ligne série (SLIP) afin de transmettre des paquets TCP/IP sur une ligne série.

MOUSE(2)
    Pilote de périphérique de pointage connecté en RS232 (souris série).

PPP(3)
    Protocole point à point (PPP) afin de transmettre des paquets réseaux sur une ligne série.

STRIP(4); AX25(5); X25(6)
    Pilote de ligne pour transmettre des paquets X.25 sur une ligne série asynchrone.

6PACK(7); R3964(9)
    Pilote pour le module Simatic R3964.

IRDA(11)
    Pilote de transmission de données par infrarouge pour Linux (IrDa), consultez

HDLC(13)
    Pilote HDLC synchrone.

SYNC_PPP(14)
    Pilote PPP synchrone.

HCI(15)
    Pilote d’UART HCI Bluetooth.

GIGASET_M101(16)
    Pilote pour l’adaptateur série DECT Siemens Gigaset M101.

PPS(18)
    Pilote de ligne série de source PPS « Pulse Per Second ».

GSM0710(21)
    Pilote pour modem à protocole de multiplexage GSM 07.10 (CMUX).

OPTIONS

-1, --onestopbit
    Définir le nombre de bits d’arrêt de la ligne série à 1 bit.

-2, --twostopbits
    Définir le nombre de bits d’arrêt de la ligne série à 2 bits.

-7, --sevenbits
    Définir la taille des caractères de la ligne série à 7 bits.

-8, --eightbits
    Définir la taille des caractères de la ligne série à 8 bits.

-d, --debug
    Garder ldattach au premier plan pour qu’il puisse être interrompu ou débogué et afficher des messages à propos de son état sur la sortie d’erreur standard.

-e, --evenparity
    Définir la parité de la ligne série à une valeur paire.

-i, --iflag valeur...
    Définir les bits indiqués dans le mot c_iflag de la ligne série. L’indici donné peut être un nombre ou un nom symbolique. Si indici est précédé d’un signe moins, les bits indiqués sont effacés à la place. Plusieurs indicis séparés par des virgules peuvent être donnés afin de définir et d’effacer plusieurs bits.

-n, --noparity
    Définir la parité de la ligne série à la valeur aucune.

-o, --oddparity
    Définir la parité de la ligne série à une valeur impaire.

-s, --speed valeur
    Définir la vitesse (le taux en baud) de la ligne série à la valeur indiquée.

-c, --intro-command chaîne
    Define an intro command that is sent through the serial line before the invocation of ldattach. E.g. in conjunction with line discipline GSM0710, the command 'AT+CMUX=0\r' is commonly suitable to switch the modem into the CMUX mode.

-p, --pause valeur
    Sleep for value seconds before the invocation of ldattach. Default is one second.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

AUTEURS

VOIR AUSSI

inputattach(1), ttys(4)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande ldattach fait partie du paquet util-linux, elle est disponible sur